	/// <summary>
	/// Summary description for ReceiptAcknowledgement.
	/// </summary>

using System;
using System.Xml.Serialization;
using System.Collections;
using System.Xml.Schema;
using System.ComponentModel;

	

namespace Microsoft.RFIDLab.EPCISDemo.ASNReceivingWS
{
	[XmlRoot(ElementName="ReceiptAcknowledgement",IsNullable=false),Serializable]
	public class ReceiptAcknowledgement
	{

		[XmlElement(Type=typeof(fromRole),ElementName="fromRole",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public fromRole __fromRole;
		
		[XmlIgnore]
		public fromRole fromRole
		{
			get
			{
				if (__fromRole == null) __fromRole = new fromRole();		
				return __fromRole;
			}
			set {__fromRole = value;}
		}

		[XmlElement(Type=typeof(receivedDocumentDateTime),ElementName="receivedDocumentDateTime",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public receivedDocumentDateTime __receivedDocumentDateTime;
		
		[XmlIgnore]
		public receivedDocumentDateTime receivedDocumentDateTime
		{
			get
			{
				if (__receivedDocumentDateTime == null) __receivedDocumentDateTime = new receivedDocumentDateTime();		
				return __receivedDocumentDateTime;
			}
			set {__receivedDocumentDateTime = value;}
		}

		[XmlElement(Type=typeof(receivedDocumentIdentifier),ElementName="receivedDocumentIdentifier",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public receivedDocumentIdentifier __receivedDocumentIdentifier;
		
		[XmlIgnore]
		public receivedDocumentIdentifier receivedDocumentIdentifier
		{
			get
			{
				if (__receivedDocumentIdentifier == null) __receivedDocumentIdentifier = new receivedDocumentIdentifier();		
				return __receivedDocumentIdentifier;
			}
			set {__receivedDocumentIdentifier = value;}
		}

		[XmlElement(Type=typeof(thisMessageDateTime),ElementName="thisMessageDateTime",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public thisMessageDateTime __thisMessageDateTime;
		
		[XmlIgnore]
		public thisMessageDateTime thisMessageDateTime
		{
			get
			{
				if (__thisMessageDateTime == null) __thisMessageDateTime = new thisMessageDateTime();		
				return __thisMessageDateTime;
			}
			set {__thisMessageDateTime = value;}
		}

		[XmlElement(Type=typeof(thisMessageIdentifier),ElementName="thisMessageIdentifier",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public thisMessageIdentifier __thisMessageIdentifier;
		
		[XmlIgnore]
		public thisMessageIdentifier thisMessageIdentifier
		{
			get
			{
				if (__thisMessageIdentifier == null) __thisMessageIdentifier = new thisMessageIdentifier();		
				return __thisMessageIdentifier;
			}
			set {__thisMessageIdentifier = value;}
		}

		[XmlElement(Type=typeof(toRole),ElementName="toRole",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public toRole __toRole;
		
		[XmlIgnore]
		public toRole toRole
		{
			get
			{
				if (__toRole == null) __toRole = new toRole();		
				return __toRole;
			}
			set {__toRole = value;}
		}

		public ReceiptAcknowledgement()
		{
		}
	}


	[XmlType(TypeName="receivedDocumentDateTime"),XmlRoot,Serializable]
	public class receivedDocumentDateTime
	{

		[XmlElement(ElementName="DateTimeStamp",IsNullable=false,Form=XmlSchemaForm.Qualified,DataType="string")]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public string __DateTimeStamp;
		
		[XmlIgnore]
		public string DateTimeStamp
		{ 
			get { return __DateTimeStamp; }
			set { __DateTimeStamp = value; }
		}

		public receivedDocumentDateTime()
		{
		}
	}


	[XmlType(TypeName="receivedDocumentIdentifier"),XmlRoot,Serializable]
	public class receivedDocumentIdentifier
	{

		[XmlElement(ElementName="ProprietaryDocumentIdentifier",IsNullable=false,Form=XmlSchemaForm.Qualified,DataType="string")]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public string __ProprietaryDocumentIdentifier;
		
		[XmlIgnore]
		public string ProprietaryDocumentIdentifier
		{ 
			get { return __ProprietaryDocumentIdentifier; }
			set { __ProprietaryDocumentIdentifier = value; }
		}

		public receivedDocumentIdentifier()
		{
		}
	}


	[XmlType(TypeName="thisMessageDateTime"),XmlRoot,Serializable]
	public class thisMessageDateTime
	{

		[XmlElement(ElementName="DateTimeStamp",IsNullable=false,Form=XmlSchemaForm.Qualified,DataType="string")]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public string __DateTimeStamp;
		
		[XmlIgnore]
		public string DateTimeStamp
		{ 
			get { return __DateTimeStamp; }
			set { __DateTimeStamp = value; }
		}

		public thisMessageDateTime()
		{
		}
	}


	[XmlType(TypeName="thisMessageIdentifier"),XmlRoot,Serializable]
	public class thisMessageIdentifier
	{

		[XmlElement(ElementName="ProprietaryMessageIdentifier",IsNullable=false,Form=XmlSchemaForm.Qualified,DataType="string")]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public string __ProprietaryMessageIdentifier;
		
		[XmlIgnore]
		public string ProprietaryMessageIdentifier
		{ 
			get { return __ProprietaryMessageIdentifier; }
			set { __ProprietaryMessageIdentifier = value; }
		}

		public thisMessageIdentifier()
		{
		}
	}


	[XmlType(TypeName="toRolePartnerRoleDescription"),XmlRoot,Serializable]
	public class toRolePartnerRoleDescription
	{

		[XmlElement(Type=typeof(toRolePartnerRoleDescriptionContactInformation),ElementName="ContactInformation",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public toRolePartnerRoleDescriptionContactInformation __ContactInformation;
		
		[XmlIgnore]
		public toRolePartnerRoleDescriptionContactInformation ContactInformation
		{
			get
			{
				if (__ContactInformation == null) __ContactInformation = new toRolePartnerRoleDescriptionContactInformation();		
				return __ContactInformation;
			}
			set {__ContactInformation = value;}
		}

		[XmlElement(ElementName="GlobalPartnerRoleClassificationCode",IsNullable=false,Form=XmlSchemaForm.Qualified,DataType="string")]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public string __GlobalPartnerRoleClassificationCode;
		
		[XmlIgnore]
		public string GlobalPartnerRoleClassificationCode
		{ 
			get { return __GlobalPartnerRoleClassificationCode; }
			set { __GlobalPartnerRoleClassificationCode = value; }
		}

		[XmlElement(Type=typeof(toRolePartnerRoleDescriptionPartnerDescription),ElementName="PartnerDescription",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public toRolePartnerRoleDescriptionPartnerDescription __PartnerDescription;
		
		[XmlIgnore]
		public toRolePartnerRoleDescriptionPartnerDescription PartnerDescription
		{
			get
			{
				if (__PartnerDescription == null) __PartnerDescription = new toRolePartnerRoleDescriptionPartnerDescription();		
				return __PartnerDescription;
			}
			set {__PartnerDescription = value;}
		}

		public toRolePartnerRoleDescription()
		{
		}
	}


	[XmlType(TypeName="toRolePartnerRoleDescriptionContactInformation"),XmlRoot,Serializable]
	public class toRolePartnerRoleDescriptionContactInformation
	{

		[XmlElement(Type=typeof(toRolePartnerRoleDescriptionContactInformationcontactName),ElementName="contactName",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public toRolePartnerRoleDescriptionContactInformationcontactName __contactName;
		
		[XmlIgnore]
		public toRolePartnerRoleDescriptionContactInformationcontactName contactName
		{
			get
			{
				if (__contactName == null) __contactName = new toRolePartnerRoleDescriptionContactInformationcontactName();		
				return __contactName;
			}
			set {__contactName = value;}
		}

		[XmlElement(ElementName="EmailAddress",IsNullable=false,Form=XmlSchemaForm.Qualified,DataType="string")]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public string __EmailAddress;
		
		[XmlIgnore]
		public string EmailAddress
		{ 
			get { return __EmailAddress; }
			set { __EmailAddress = value; }
		}

		[XmlElement(Type=typeof(toRolePartnerRoleDescriptionContactInformationtelephoneNumber),ElementName="telephoneNumber",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public toRolePartnerRoleDescriptionContactInformationtelephoneNumber __telephoneNumber;
		
		[XmlIgnore]
		public toRolePartnerRoleDescriptionContactInformationtelephoneNumber telephoneNumber
		{
			get
			{
				if (__telephoneNumber == null) __telephoneNumber = new toRolePartnerRoleDescriptionContactInformationtelephoneNumber();		
				return __telephoneNumber;
			}
			set {__telephoneNumber = value;}
		}

		public toRolePartnerRoleDescriptionContactInformation()
		{
		}
	}


	[XmlType(TypeName="toRolePartnerRoleDescriptionContactInformationcontactName"),XmlRoot,Serializable]
	public class toRolePartnerRoleDescriptionContactInformationcontactName
	{

		[XmlElement(ElementName="FreeFormText",IsNullable=false,Form=XmlSchemaForm.Qualified,DataType="string")]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public string __FreeFormText;
		
		[XmlIgnore]
		public string FreeFormText
		{ 
			get { return __FreeFormText; }
			set { __FreeFormText = value; }
		}

		public toRolePartnerRoleDescriptionContactInformationcontactName()
		{
		}
	}


	[XmlType(TypeName="toRolePartnerRoleDescriptionContactInformationtelephoneNumber"),XmlRoot,Serializable]
	public class toRolePartnerRoleDescriptionContactInformationtelephoneNumber
	{

		[XmlElement(ElementName="CommunicationsNumber",IsNullable=false,Form=XmlSchemaForm.Qualified,DataType="string")]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public string __CommunicationsNumber;
		
		[XmlIgnore]
		public string CommunicationsNumber
		{ 
			get { return __CommunicationsNumber; }
			set { __CommunicationsNumber = value; }
		}

		public toRolePartnerRoleDescriptionContactInformationtelephoneNumber()
		{
		}
	}


	[XmlType(TypeName="toRolePartnerRoleDescriptionPartnerDescription"),XmlRoot,Serializable]
	public class toRolePartnerRoleDescriptionPartnerDescription
	{

		[XmlElement(Type=typeof(toRolePartnerRoleDescriptionPartnerDescriptionBusinessDescription),ElementName="BusinessDescription",IsNullable=false,Form=XmlSchemaForm.Qualified)]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public toRolePartnerRoleDescriptionPartnerDescriptionBusinessDescription __BusinessDescription;
		
		[XmlIgnore]
		public toRolePartnerRoleDescriptionPartnerDescriptionBusinessDescription BusinessDescription
		{
			get
			{
				if (__BusinessDescription == null) __BusinessDescription = new toRolePartnerRoleDescriptionPartnerDescriptionBusinessDescription();		
				return __BusinessDescription;
			}
			set {__BusinessDescription = value;}
		}

		[XmlElement(ElementName="GlobalPartnerClassificationCode",IsNullable=false,Form=XmlSchemaForm.Qualified,DataType="string")]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public string __GlobalPartnerClassificationCode;
		
		[XmlIgnore]
		public string GlobalPartnerClassificationCode
		{ 
			get { return __GlobalPartnerClassificationCode; }
			set { __GlobalPartnerClassificationCode = value; }
		}

		public toRolePartnerRoleDescriptionPartnerDescription()
		{
		}
	}


	[XmlType(TypeName="toRolePartnerRoleDescriptionPartnerDescriptionBusinessDescription"),XmlRoot,Serializable]
	public class toRolePartnerRoleDescriptionPartnerDescriptionBusinessDescription
	{

		[XmlElement(ElementName="GlobalBusinessIdentifier",IsNullable=false,Form=XmlSchemaForm.Qualified,DataType="string")]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public string __GlobalBusinessIdentifier;
		
		[XmlIgnore]
		public string GlobalBusinessIdentifier
		{ 
			get { return __GlobalBusinessIdentifier; }
			set { __GlobalBusinessIdentifier = value; }
		}

		[XmlElement(ElementName="GlobalSupplyChainCode",IsNullable=false,Form=XmlSchemaForm.Qualified,DataType="string")]
		[EditorBrowsable(EditorBrowsableState.Advanced)]
		public string __GlobalSupplyChainCode;
		
		[XmlIgnore]
		public string GlobalSupplyChainCode
		{ 
			get { return __GlobalSupplyChainCode; }
			set { __GlobalSupplyChainCode = value; }
		}

		public toRolePartnerRoleDescriptionPartnerDescriptionBusinessDescription()
		{
		}
	}
}